<?php
/*======================================================================*\
|| #################################################################### ||
|| # EoT-Clan BF3 Leaderboard                                         # ||
|| # ---------------------------------------------------------------- # ||
|| # Dieses Copyright darf nicht entfernt werden                      # ||
|| # This file may not be redistributed in whole or significant part. # ||
|| # -----------------BF3 Leaderboard is a free Software--------------# ||
|| #                     http://eot-clan.net                          # ||
|| #################################################################### ||
\*======================================================================*/
$bError = false;

if(isset($bAjax)){
	$bAjax = false;
}else{
	$bAjax = $bAjax;
}

if (!isset($bAjax) && $bAjax !== true){
	require_once ('../inc/config.php');
	require_once ('../language/'.$row['language'].'.php');
	
}



$oTimeGesamt = new timing('ja');

$_GET = security::escape($_GET);
$_POST = security::escape($_POST);

		define('INCLUDE_ME', true);


include_once 'updateAlldata.php';


if (!isset($bAjax) && $bAjax !== true){
	$fTimeGesamt = $oTimeGesamt->stop();
	$dDate = date("d.m.Y");
	$dTime = date("H:i:s");
	
	mysql_query("
		UPDATE 
			".DBPrefix."admin 
		SET 
			LBUpdateTime = '{$dTime}',
			LBUpdateDate = '{$dDate}'
	") or die ("
		Ungültige Abfrage: " . mysql_error()
	);
	
	
	?>
	<html>
		<head>
			<title><?php echo LANG_UPDATE_TITLE; ?></title>
			<link rel="stylesheet" type="text/css" href="../css/style.php" media="screen,projection" /> 
		</head>
		<table class="defaultUpdate" cellspacing="0" cellpadding="0">
			<tr>
				<td class="head" colspan="5"><?php echo LANG_UPDATE_HEAD ?></td>
			</tr>
			<tr>
				<td class="result">
					<span>
						<br /><br /><?php echo LANG_UPDATE_PLAYER; ?> <?php if ($bError === false){ ?><span style='color: green'><?php echo LANG_UPDATE_PLAYER_OK; ?></span><?php } else { ?><span style='color: red'><?php echo LANG_UPDATE_PLAYER_WRONG; ?></span><?php } ?> in <?php echo number_format($fTimeGesamt, 2, ',', '.'); ?> <?php echo LANG_UPDATE_PLAYER_SECONDS; ?>.
						<br /><br /><?php echo LANG_UPDATE_PLAYER_STATS; ?>
						<br /><?php echo LANG_UPDATE_PLAYER_ALL; ?><?php echo $sAllgemein ?>
						<br /><br /><br /><a href="../index.php" style='font-size: 12px; color: orange; text-decoration: underline;'><?php echo LANG_UPDATE_MORE; ?></a>.
						<br /><br />
					</span>
				</td>
			</tr>
		</table>
	</html>
	<?php
}

